package br.ufpe.cin.allocationSystem.allocation;

/**
 * @author Paulo Borba (phmb)
 * @author Joabe Jnior (jbjj)
 */

public class AllocationItem {

    private String courseName;
    private double credits;
    private String jointCourse;
    private String[] professorNames;
    private int numProfessors;

    public AllocationItem() {
        this.credits = 0;
        this.professorNames = new String[3];
        this.numProfessors = 0;

    }

    public String getCourseName() {
        return this.courseName;

    }

    public void setCourseName(String name) {
        this.courseName = name;

    }

    public double getCredits() {
        return this.credits;

    }

    public void setCredits(double number) {
        this.credits = number;

    }

    public boolean hasJointCourse() {
        return (this.jointCourse != null);

    }

    public String getJointCourse() {
        return this.jointCourse;

    }

    public void setJointCourse(String course) {
        this.jointCourse = course;

    }

    public void addProfessorName(String name) {
        if (numProfessors < 3) {
            this.professorNames[numProfessors] = name;
            numProfessors = numProfessors + 1;
        } else {
            System.err.println(" ERROR: The Name cannot be added!!!");
        }

    }

    public String[] getProfessorNames() {
        return this.professorNames;

    }

    public int getNumberProfessors() {
        return this.numProfessors;

    }

}
